/**
 *
 * @param {strimg} str
 * @param {string} name
 * @returns {string} result
 */
export function getUrlParameter(str: string, name: string): string {
  // name = name.replace(/[\[]/, '\\[').replace(/[\]]/, '\\]');//如果name如果有方括号则加上转义符号\
  const regex = new RegExp("[\\?&]" + name + "=([^&]*)");

  const results = regex.exec(str);
  return results === null
    ? ""
    : decodeURIComponent(results[1].replace(/\+/g, " ")); //字符串里的加号替换为空格，使用 decodeURIComponent() 对编码后的 URI 进行解码；
}
